Bug 1867894 - Review Request: php-sebastian-complexity - Calculating the complexity of PHP code units
Summary: Review Request: php-sebastian-complexity - Calculating the complexity of PHP ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1867898
TreeView+ depends on / blocked
 
Reported: 2020-08-11 07:14 UTC by Remi Collet
Modified: 2020-09-05 18:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-05 18:31:23 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-08-11 07:14:42 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/sebastian/php-sebastian-complexity.git/plain/php-sebastian-complexity.spec?id=1d7d3b55eb784d62ae5e7f75c69f057c26bcc934
SRPM URL: https://rpms.remirepo.net/SRPMS/php-sebastian-complexity-2.0.0-1.remi.src.rpm
Description: 
Library for calculating the complexity of PHP code units.

Fedora Account System Username: remi


--

New dependency of PHPUnit 9.3

Comment 1 Robert-André Mauchin 🐧 2020-08-26 15:16:30 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 24 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/php-sebastian-
     lines-of-code/review-php-sebastian-lines-of-code/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/SebastianBergmann(php-sebastian-recursion-context, php-
     phpunit-php-token-stream2, php-sebastian-recursion-context4, php-
     phpunit-php-token-stream3, php-sebastian-type2, php-phpunit-
     environment, php-sebastian-resource-operations2, php-sebastian-code-
     unit, php-sebastian-global-state2, php-sebastian-environment5, php-
     sebastian-diff4, php-sebastian-code-unit-reverse-lookup2, php-phpunit-
     php-token-stream4, php-sebastian-recursion-context3, php-phpunit-git,
     php-phpunit-php-file-iterator2, php-sebastian-diff3, php-phpunit-php-
     timer5, php-phpunit-php-invoker3, php-sebastian-object-reflector, php-
     phpunit-php-timer3, php-sebastian-resource-operations, php-sebastian-
     type, php-phpunit-php-text-template2, php-phpunit-php-timer2, php-
     sebastian-finder-facade2, php-sebastian-environment4, php-sebastian-
     global-state, php-sebastian-resource-operations3, php-sebastian-code-
     unit-reverse-lookup, php-phpunit-diff, php-phpunit-php-invoker2, php-
     phpunit-php-file-iterator3, php-phpunit-PHPUnit-SkeletonGenerator,
     php-phpunit-Version, php-sebastian-diff2, php-sebastian-environment3,
     php-sebastian-object-reflector2, php-sebastian-version3, php-phpunit-
     FinderFacade)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: php-sebastian-lines-of-code-1.0.0-1.fc34.noarch.rpm
          php-sebastian-lines-of-code-1.0.0-1.fc34.src.rpm%
php-sebastian-lines-of-code.src: W: invalid-url Source0: php-sebastian-lines-of-code-1.0.0-e02bf62.tgz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 2 Robert-André Mauchin 🐧 2020-08-26 15:20:24 UTC
Wrong tab

Comment 3 Robert-André Mauchin 🐧 2020-08-26 15:25:46 UTC
Package approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 28 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/php-sebastian-
     complexity/review-php-sebastian-complexity/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/php/SebastianBergmann(php-sebastian-resource-operations2,
     php-sebastian-resource-operations3, php-sebastian-diff2, php-phpunit-
     php-file-iterator2, php-phpunit-php-file-iterator3, php-phpunit-
     environment, php-phpunit-Version, php-sebastian-resource-operations,
     php-phpunit-php-invoker2, php-sebastian-recursion-context, php-
     sebastian-environment3, php-phpunit-PHPUnit-SkeletonGenerator, php-
     phpunit-php-timer5, php-phpunit-php-timer3, php-phpunit-php-invoker3,
     php-sebastian-type2, php-phpunit-git, php-sebastian-environment4, php-
     sebastian-finder-facade2, php-phpunit-diff, php-sebastian-object-
     reflector, php-sebastian-code-unit-reverse-lookup2, php-sebastian-
     recursion-context4, php-phpunit-php-token-stream3, php-phpunit-php-
     token-stream4, php-sebastian-global-state2, php-sebastian-diff4, php-
     sebastian-version3, php-sebastian-global-state, php-sebastian-code-
     unit, php-sebastian-diff3, php-sebastian-code-unit-reverse-lookup,
     php-phpunit-php-text-template2, php-sebastian-type, php-sebastian-
     environment5, php-sebastian-object-reflector2, php-sebastian-
     recursion-context3, php-phpunit-FinderFacade, php-phpunit-php-token-
     stream2, php-phpunit-php-timer2)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: php-sebastian-complexity-2.0.0-1.fc34.noarch.rpm
          php-sebastian-complexity-2.0.0-1.fc34.src.rpm
php-sebastian-complexity.src: W: invalid-url Source0: php-sebastian-complexity-2.0.0-33fcd6a.tgz
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 5 Gwyn Ciesla 2020-08-27 13:35:29 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-sebastian-complexity

Comment 6 Fedora Update System 2020-08-27 14:53:48 UTC
FEDORA-2020-cee56f3432 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cee56f3432

Comment 7 Fedora Update System 2020-08-27 14:53:49 UTC
FEDORA-2020-292dacbb6e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-292dacbb6e

Comment 8 Fedora Update System 2020-08-27 19:05:20 UTC
FEDORA-2020-cee56f3432 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-cee56f3432 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-cee56f3432

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-28 14:54:57 UTC
FEDORA-2020-292dacbb6e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-292dacbb6e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-292dacbb6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-05 18:31:23 UTC
FEDORA-2020-292dacbb6e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.